From: florian <florian@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Date: Sat, 20 May 2006 19:06:26 +0000 (+0000)
Subject: webif :
X-Git-Url: https://git.rohieb.name/openwrt.git/commitdiff_plain/410597c96a7be848d9fd9c3a91a235aaf27e9fd1

webif :
- add support for wl0_wdstimeout, wl0_antdiv (request by french Wireless User Groups), wl0_distance
- updated french translation, needs to update other translations
- Fixed cancel button not working, closes #543
- Preliminary OpenVPN webif support, partially closes #525

ntpclient: fix process running detection, closes #505
base-files:
- clean up per interface static_route code,restore old behaviour (with metric, gateway ...), closes #484
- add ifup_interfaces variable, can be used as order to bring interfaces, closes #309



git-svn-id: svn://svn.openwrt.org/openwrt/trunk@3809 3c298f89-4303-0410-b956-a3cf2f4a3e73
---

diff --git a/openwrt/package/ntpclient/files/ntpclient.init b/openwrt/package/ntpclient/files/ntpclient.init
index a8944c60e..3a2118420 100644
--- a/openwrt/package/ntpclient/files/ntpclient.init
+++ b/openwrt/package/ntpclient/files/ntpclient.init
@@ -1,7 +1,8 @@
 #!/bin/sh
-case "$ACTION" in
+ntp_server=$(nvram get ntp_server)
+case "${ACTION:-ifup}" in
 	ifup)
-		ps x | grep '[n]tpclient' >&- || {
+		ps x | grep 'bin/[n]tpclient' >&- || {
 			route -n 2>&- | grep '^0.0.0.0' >&- && /usr/sbin/ntpclient -c 1 -s -h ${ntp_server:-pool.ntp.org} &
 		}
 		;;